DtMmdbTocGetChildIds(library call)

NAME
DtMmdbTocGetChildIds — obtains a list of object identifiers for child sections

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle** DtMmdbTocGetChildIds(
DtMmdbInfoRequest* request,
unsigned int* length);

DESCRIPTION

The DtMmdbTocGetChildIds function returns an array of the object identifiers for the child sections belonging to the specified section. Use the DtmmdbFreeHandleList to release the array when it is no longer needed.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the section's Database Engine identifier, in the primary_oid field.

length
    Specifies the variable to receive the length of the returned array (in bytes), if the returned pointer to the array is not NULL. If it is set to zero, the section has no child section.

RETURN VALUE

If DtMmdbTocGetChildIds completes successfully, it returns a NULL-terminated object identifier array. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbTocGetChildIds call might be coded.

DtMmdbInfoRequest request; unsigned int length;
/* fill the request here */
handleList = DtMmdbTocGetChildIds(&&request, &&length);

SEE ALSO

TO BE SUPPLIED